Package org.codehaus.groovy.reflection

## Class CachedField

- java.lang.Object
- - groovy.lang.MetaProperty
  - - org.codehaus.groovy.reflection.CachedField

-     public class CachedField
      extends MetaProperty

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaProperty

      `name, PROPERTY_SET_PREFIX, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachedField​(Field field)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Field` | `getCachedField()` |
    `Class` | `getDeclaringClass()` |
    `int` | `getModifiers()` | Returns the access modifier.
    `Object` | `getProperty​(Object object)` |
    `boolean` | `isFinal()` |
    `boolean` | `isStatic()` |
    `void` | `setProperty​(Object object, Object newValue)` | Sets the property on the given object to the new value

    - ### Methods inherited from class groovy.lang.MetaProperty

      `getGetterName, getName, getSetterName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedField

          public CachedField​(Field field)

  - ### Method Detail

    - #### getCachedField

          public Field getCachedField()

    - #### getDeclaringClass

          public Class getDeclaringClass()

    - #### getModifiers

          public int getModifiers()

      Description copied from class: `MetaProperty`
      Returns the access modifier.
      Overrides:
        `getModifiers` in class `MetaProperty`
      Returns:
        Modifier.PUBLIC

    - #### isFinal

          public boolean isFinal()

    - #### isStatic

          public boolean isStatic()

    - #### getProperty

          public Object getProperty​(Object object)

      Specified by:
        `getProperty` in class `MetaProperty`
      Returns:
        the property of the given object
      Throws:
        `RuntimeException` - if the property could not be evaluated

    - #### setProperty

          public void setProperty​(Object object,
                                  Object newValue)

      Sets the property on the given object to the new value
      Specified by:
        `setProperty` in class `MetaProperty`
      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property
      Throws:
        `RuntimeException` - if the property could not be set